﻿using Syncfusion.Drawing;
using Syncfusion.Windows.Forms.Chart;
using System;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    partial class Form1
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            Syncfusion.Windows.Forms.Chart.ChartSeries series = new Syncfusion.Windows.Forms.Chart.ChartSeries();
            this.chart = new Syncfusion.Windows.Forms.Chart.ChartControl();
            this.SuspendLayout();

            // chart
            this.chart.ChartArea.BackInterior = new Syncfusion.Drawing.BrushInfo(System.Drawing.Color.Transparent);
            this.chart.ChartArea.CursorLocation = new System.Drawing.Point(0, 0);
            this.chart.ChartArea.CursorReDraw = false;
            this.chart.DataSourceName = "[none]";
            this.chart.IsWindowLess = false;
            this.chart.Size = new System.Drawing.Size(457, 330);
            this.chart.TabIndex = 0;

            this.chart.PrimaryXAxis.ValueType = ChartValueType.Double;
            
            BindingList<SalesData> dataSource = new BindingList<SalesData>();

            Random random = new Random();
            double value1 = 50;

            for (int i = 0; i < 300; i++)
            {
                if (random.NextDouble() > 0.5)
                {
                    value1 += random.NextDouble() * 10;
                }
                else
                {
                    value1 -= random.NextDouble() * 10;
                }

                dataSource.Add(new SalesData() { XValue = i, YValue = Math.Round(value1, 2) });
            }

            CategoryAxisDataBindModel dataSeriesModel = new CategoryAxisDataBindModel(dataSource);
            dataSeriesModel.CategoryName = "XValue";
            dataSeriesModel.YNames = new string[] { "YValue" };

            series = new ChartSeries("Line");
            series.Type = ChartSeriesType.Line;
            series.CategoryModel = dataSeriesModel;

            for (int i = 0; i < 300; i++)
            {
                if (dataSource[i].YValue >= 0 && dataSource[i].YValue <= 20)
                {
                    series.Styles[i].Interior = new BrushInfo(Color.LightGreen);
                }
                else if(dataSource[i].YValue >= 20 && dataSource[i].YValue <= 40)
                {
                    series.Styles[i].Interior = new BrushInfo(Color.Green);
                }
                else if (dataSource[i].YValue >= 40 && dataSource[i].YValue <= 60)
                {
                    series.Styles[i].Interior = new BrushInfo(Color.Yellow);
                }
                else if(dataSource[i].YValue >= 60 && dataSource[i].YValue <= 80)
                {
                    series.Styles[i].Interior = new BrushInfo(Color.Orange);
                }
                else if (dataSource[i].YValue >= 80 && dataSource[i].YValue <= 200)
                {
                    series.Styles[i].Interior = new BrushInfo(Color.Red);
                }
                else if (dataSource[i].YValue <= 0 && dataSource[i].YValue >= -20)
                {
                    series.Styles[i].Interior = new BrushInfo(Color.LightBlue);
                }
                else if (dataSource[i].YValue <= -20 && dataSource[i].YValue >= -100)
                {
                    series.Styles[i].Interior = new BrushInfo(Color.Indigo);
                }
                else
                {
                    series.Styles[i].Interior = new BrushInfo(Color.Blue);
                }
            }

            series.Style.Border.Width = 2;

            this.chart.Series.Add(series);

            this.chart.Legend.Visible = false;

            this.chart.Dock = System.Windows.Forms.DockStyle.Fill;
            this.chart.Size = new System.Drawing.Size(600, 450);
            this.AutoScaleDimensions = new System.Drawing.SizeF(9F, 20F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(821, 577);
            this.Controls.Add(this.chart);
            this.Name = "Form1";
            this.Text = "Form1";
            this.ResumeLayout(false);
        }
        
        #endregion

        private Syncfusion.Windows.Forms.Chart.ChartControl chart;
    }
}